{{page-title "Application"}}
<main class="main">
  <div id="top-header" class="container-fluid fixed-top">
    <header class="container navbar navbar-expand-lg bd-navbar sticky-top">
      <nav class="container-xxl bd-gutter flex-wrap flex-lg-nowrap">
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
           <span class="navbar-toggler-icon"></span>
        </button>
        <div class="">
           prplOS
           {{#if this.softwareVersion}}
              r{{this.softwareVersion}}
           {{/if}}
        </div>
        {{#if this.session.isAuthenticated}}
          <button type="button" class="btn btn-primary" {{on "click" this.invalidateSession}}>Logout</button>
        {{/if}}
      </nav>
    </header>
  </div>
  <div id="main" class="container">
    {{#if this.session.isAuthenticated}}
      <div id="menu-left" class="navbar navbar-vertical navbar-expand-xl">
        <div class="container collapse navbar-collapse">
          <div class="navbar-vertical-content scrollbar">
            <ul class="navbar-nav flex-column mb-3">
              <div class="navbar-brand">
                <div class="logo"><span class="label">prpl</span></div>
              </div>
              <li class="nav-item">
                <LinkTo @route="authenticated.dashboard">Dashboard</LinkTo>
              </li>
              <li>
                <div class="separator">Networking<span class="line"><hr /></span></div>
              </li>
              <li class="nav-item">
                <LinkTo @route="authenticated.wan">WAN</LinkTo>
              </li>
              <li class="nav-item">
                <LinkTo @route="authenticated.lan">LAN</LinkTo>
              </li>
              <li class="nav-item">
                <LinkTo @route="authenticated.wifi">WiFi</LinkTo>
              </li>
              <li class="nav-item">
                <LinkTo @route="authenticated.lcm">LCM</LinkTo>
              </li>
              <li>
                <div class="separator">System<span class="line"><hr /></span></div>
              </li>
              <li class="nav-item">
                <LinkTo @route="authenticated.upgrade">Upgrade</LinkTo>
              </li>
            </ul>
          </div>
        </div>
      </div>
    {{/if}}
    <div class="content">
      {{outlet}}
    </div>
  </div>
</main>
